summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authoreolianoe2018-08-19 18:49:17 +0200
committereolianoe2018-08-19 18:49:17 +0200
commit796018dc11b6477bc0b4b5a794d7da854d4bd0da (patch)
treeb90d94c36e1ed0c65e199dcec08b6759c9ca7720 /PKGBUILD
parent72b399783540a5557b0ad1b7927fe9de406d3d90 (diff)
downloadaur-796018dc11b6477bc0b4b5a794d7da854d4bd0da.tar.gz
apply debian patch
to fix: https://github.com/xianyi/OpenBLAS/issues/1720
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD14
1 files changed, 11 insertions, 3 deletions
diff --git a/PKGBUILD b/PKGBUILD
index bdccdcc65c8..58b36791e3c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,7 +8,7 @@ _pkgname=openblas
pkgver=0.3.2
# grep VERSION "${srcdir}/${_PkgName}-${pkgver}"/lapack-netlib/README.md | tail -n 1 | cut -d ' ' -f 2
_lapackver=3.8.0
-pkgrel=1
+pkgrel=2
pkgdesc="Optimized BLAS library based on GotoBLAS2 1.13 BSD (providing blas, lapack, and cblas)"
arch=('any')
url="http://www.openblas.net/"
@@ -18,14 +18,22 @@ makedepends=('perl' 'gcc-fortran')
provides=('openblas' "blas=${_lapackver}" "lapack=${_lapackver}" "cblas=${_lapackver}" "lapacke=${_lapackver}")
conflicts=('openblas' 'blas' 'lapack' 'cblas' 'lapacke')
options=(!emptydirs)
-source=(${_PkgName}-${pkgver}.tar.gz::https://github.com/xianyi/${_PkgName}/archive/v${pkgver}.tar.gz)
-sha256sums=('e8ba64f6b103c511ae13736100347deb7121ba9b41ba82052b1a018a65c0cb15')
+source=(${_PkgName}-${pkgver}.tar.gz::https://github.com/xianyi/${_PkgName}/archive/v${pkgver}.tar.gz
+ https://salsa.debian.org/science-team/openblas/raw/e51b3b26641901a5a93247ef9bb9dbdddc82cfae/debian/patches/0008-Allow-overriding-USE_COMPILER_TLS-formerly-HAS_COMPI.patch)
+sha256sums=('e8ba64f6b103c511ae13736100347deb7121ba9b41ba82052b1a018a65c0cb15'
+ 'f3384c96f9572fd8f0173d10ca2d0233f674780e881865e4b8dbc7d0354738f5')
# Add the following line to the _config variable if you want to set the number of make jobs
# MAKE_NB_JOBS=2 \
_config="FC=gfortran USE_OPENMP=0 USE_THREAD=1 \
NO_LAPACK=0 BUILD_LAPACK_DEPRECATED=1"
+prepare (){
+ cd "${srcdir}/${_PkgName}-${pkgver}"
+
+ patch -p1 < "${srcdir}/0008-Allow-overriding-USE_COMPILER_TLS-formerly-HAS_COMPI.patch"
+}
+
build(){
cd "${srcdir}/${_PkgName}-${pkgver}"